QToolTipGroup(3qt)

NAME
QToolTipGroup - Collects tool tips into natural groups

SYNOPSIS

#include <qtooltip.h>

Inherits QObject.

  Public Members
QToolTipGroup ( QObject * parent, const char * name = 0 )
~QToolTipGroup ()

  Signals
void showTip ( const char * )
void removeTip ()

DESCRIPTION
The QToolTipGroup class collects tool tips into natural groups.

Tool tips can display two texts, the one in the tip and optionally another one, typically in a status bar. QToolTipGroup provides a way to link tool tips to this status bar.

QToolTipGroup has practically no API, it is only used as an argument to QToolTip's member functions, for example like this:

    QToolTipGroup * g = new QToolTipGroup( this, "tool tip relay" );
    connect( g, SIGNAL(showTip(const char *)),
             myLabel, SLOT(setText(const char *)) );
    connect( g, SIGNAL(removeTip()),
             myLabel, SLOT(clear()) );
    QToolTip::add( giraffeButton, "feed giraffe",
                   g, "Give the giraffe a meal" );
    QToolTip::add( gorillaButton, "feed gorilla",
                   g, "Give the gorilla a meal" );

This example makes the object myLabel (which you have to supply) display (one assumes, though you can make myLabel do anything, of course) the strings "Give the giraffe a meal" and "Give the gorilla a meal" while the relevant tool tips are being displayed.

Deleting a tool tip group removes the tool tips in it.

MEMBER FUNCTION DOCUMENTATION

QToolTipGroup::QToolTipGroup ( QObject * parent, const char * name = 0 )
Constructs a tool tip group.

QToolTipGroup::~QToolTipGroup ()
Destroy this tool tip groups and all tool tips in it.

void QToolTipGroup::removeTip () [signal]
This signal is emitted when a tool tip in this group is hidden. See the QToolTipGroup documentation for an example of use.

See also: showTip().

void QToolTipGroup::showTip ( const char * longText ) [signal]
This signal is emitted when one of the tool tips in the group is displayed. longText is the supplementary text for the displayed tool tip.

See also: removeTip().

SEE ALSO
http://www.troll.no/qt/qtooltipgroup.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.